
#include "AvmPlus.h"
#include "stdio.h"

namespace avmplus
{

void AvmLog(const char* a_sMessage, ...) {
	va_list vl;
	va_start(vl, a_sMessage);
	vprintf(a_sMessage, vl);
	va_end(vl);
}

void AvmAssertFail(const char* a_sMessage) {
	if ((a_sMessage != NULL) && (std::strlen(a_sMessage) > 0)) {
		printf(a_sMessage);
	}

	fflush(NULL);

	AvmBreak();
}



} // namespace AvmPlus